package de.fhdw.wtf.persistence.exception;

import java.sql.SQLException;

/**
 * Fehlermeldung f�r den Fall das ein gefundener Link ung�ltig ist.
 */
public class InvalidLinkException extends PersistenceException {
	
	/**
	 * Error nummer of the Oracle UserException.
	 */
	public static final int ERRORCODE = 20003;
	
	/**
	 * the message of the exception.
	 */
	private static final String INVALID_LINK_MESSAGE =
			"UnidirectionalLink could not be created because owner or target violated the consistency of the model";
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	/**
	 * Public Konstruktor zum setzen der Fehlermeldung.
	 * 
	 * @param nestedException
	 *            TODO
	 */
	public InvalidLinkException(final SQLException nestedException) {
		super(INVALID_LINK_MESSAGE, nestedException);
	}
}
